| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XSNamedMap< TVal > Class Template Reference

Inheritance diagram for XSNamedMap< TVal >:

[legend]
List of all members.

## Public Member Functions

Constructors
| XSNamedMap (const unsigned int maxElems, const unsigned int modulus, XMLStringPool *uriStringPool, const bool adoptElems, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSNamedMap ()
XSNamedMap methods
unsigned int | getLength ()
| The number of `XSObjects` in the `XSObjectList`.
TVal * | item (unsigned int index)
| Returns the `index`th item in the collection.
TVal * | itemByName (const XMLCh *compNamespace, const XMLCh *localName)
| Retrieves a component specified by local name and namespace URI.
void | addElement (TVal *const toAdd, const XMLCh *key1, const XMLCh *key2)

### template<class TVal>
class XSNamedMap< TVal >

## Constructor & Destructor Documentation

template<class TVal>
XSNamedMap< TVal >::XSNamedMap | ( | const unsigned int | maxElems,
|  | const unsigned int | modulus,
|  | XMLStringPool * | uriStringPool,
|  | const bool | adoptElems,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

template<class TVal>
XSNamedMap< TVal >::~XSNamedMap | ( |  | ) |

## Member Function Documentation

template<class TVal>
void XSNamedMap< TVal >::addElement | ( | TVal *const | toAdd,
|  | const XMLCh * | key1,
|  | const XMLCh * | key2
| ) |

template<class TVal>
unsigned int XSNamedMap< TVal >::getLength | ( |  | ) |

| The number of `XSObjects` in the `XSObjectList`. The range of valid child object indices is 0 to `mapLength-1` inclusive.

template<class TVal>
TVal* XSNamedMap< TVal >::item | ( | unsigned int | index | ) |

Returns the `index`th item in the collection.

The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.

Parameters:

  | index | index into the collection.

Returns:
  The `XSObject` at the `index`th position in the `XSObjectList`, or `null` if that is not a valid index.

template<class TVal>
TVal* XSNamedMap< TVal >::itemByName | ( | const XMLCh * | compNamespace,
|  | const XMLCh * | localName
| ) |

Retrieves a component specified by local name and namespace URI.

applications must use the value null as the `compNamespace` parameter for components whose targetNamespace property is absent.

Parameters:

  | compNamespace | The namespace URI of the component to retrieve.
  | localName | The local name of the component to retrieve.

Returns:
  A component (of any type) with the specified local name and namespace URI, or `null` if they do not identify any node in this map.

The documentation for this class was generated from the following file:

- XSNamedMap.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.